org.apache.ignite.spi.encryption.keystore

## Class KeystoreEncryptionKey

- java.lang.Object
- - org.apache.ignite.spi.encryption.keystore.KeystoreEncryptionKey

All Implemented Interfaces:
  Serializable

    public final class KeystoreEncryptionKey
    extends Object
    implements Serializable

`EncryptionKey` implementation based on java security.

See Also:
  `Key`, `KeystoreEncryptionSpi`, Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`Key` `key()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### key

    public Key key()

Returns:
  Encryption key.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023